GSTR-1A CDNURA
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/cdnura/{year}/{month} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/cdnura/{year}/{month}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/cdnura/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"cdnura": [
{
"flag": "N",
"chksum": "ASDFGJKLPTBBJKBJKBBJKBB",
"ont_num": "533515",
"ont_dt": "23-09-2016",
"nt_num": "533515",
"nt_dt": "23-09-2016",
"ntty": "C",
"typ": "B2CL",
"d_flag": "Y",
"p_gst": "N",
"inum": "915914",
"val": 123123,
"idt": "23-09-2016",
"pos": "03",
"diff_percent": 0.65,
"itms": [
{
"num": 1,
"itm_det": {
"rt": 10,
"txval": 5225.28,
"iamt": 845.22,
"csamt": 789.52
}
}
]
}
]
}
}
}GSTR-1A CDNURA
This API will call CDNURA for getting all amended Credit/Debit notes for a return period of Unregistered Taxpayers.
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
cdnura
/
{year}
/
{month}
GSTR-1A CDNURA
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.
Compliance API version.
API key for identification.
Path Parameters
Return year, for example 2025.
Return month, for example 04.
Response
200 - application/json
Success
The response is of type object.
Was this page helpful?
āI